com.r3corda.core.node.services.testing / MockIdentityService

# MockIdentityService

`class MockIdentityService : IdentityService, SingletonSerializeAsToken`

### Constructors

<init> | `MockIdentityService(identities: List<Party>)`

### Properties

identities | `val identities: List<Party>`

### Functions

partyFromKey | `fun partyFromKey(key: PublicKey): Party?`
partyFromName | `fun partyFromName(name: String): Party?`
registerIdentity | `fun registerIdentity(party: Party): Unit`

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`